> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all accounts

> Retrieve a list of accounts with optional totals.



## OpenAPI

````yaml get /v1/finance/accounts
openapi: 3.0.0
info:
  title: Finance Accounts API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/finance/accounts:
    get:
      tags:
        - Finance / Accounts
      summary: Get all accounts
      description: Retrieve a list of accounts with optional totals.
      operationId: getAccounts
      parameters:
        - name: with
          in: query
          required: false
          schema:
            type: string
            enum:
              - totals
        - name: Accept
          in: header
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      responses:
        '200':
          description: List of accounts
          content:
            application/json:
              schema:
                type: object
                properties:
                  accounts:
                    type: array
                    items:
                      $ref: '#/components/schemas/Account'
                  meta:
                    $ref: '#/components/schemas/Metadata'
components:
  schemas:
    Account:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        balance:
          type: number
        currency:
          type: string
    Metadata:
      type: object
      properties:
        total:
          type: integer
          example: 100
          description: Total number of items.
        size:
          type: integer
          example: 10
          description: Maximum number of items per page.
        pages:
          type: integer
          example: 1
          description: Total number of pages.
        page:
          type: integer
          example: 1
          description: Current page number.
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````